export declare type Markers = {
    latLng: number[];
    icon?: string;
    iconSize?: {
        width: number;
        height: number;
    };
    disabled?: boolean;
    title?: string;
};
export declare type Zoom = number;
export declare type TileOptions = {
    tileSize?: number;
    opacity?: number;
    updateWhenIdle?: boolean;
    updateWhenZooming?: boolean;
    updateInterval?: number;
    zIndex?: number;
    bounds?: [number[]];
    noWrap?: boolean;
    pane?: string;
    className?: string;
    keepBuffer?: number;
    detectRetina?: boolean;
    attribution?: string;
};
export declare type Layers = {
    src: string;
    name: string;
    tileOptions?: TileOptions;
};
export declare type GeoJsonFeatures = {
    type: string;
    properties?: {
        name: string;
    };
    geometry: {
        type: string;
        coordinates: any[];
    };
};
export declare type GeoJson = {
    type: string;
    features: GeoJsonFeatures[];
};
export declare type TFlyTo = {
    latLng: number[];
    zoom: Zoom;
};
export declare type RNLeafletRef = {
    flyTo: (props: TFlyTo) => void;
    clearMarkers: () => void;
};
